> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Market

> Retrieve a specific market

<Note>
  **x402 Support:** Supported.
  See the [x402 guide](/api-reference/x402-payments#supported-endpoints).
</Note>


## OpenAPI

````yaml GET /metrics/v1/markets/{marketIdentifier}
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Metrics V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /metrics/v1/markets/{marketIdentifier}:
    get:
      tags:
        - metrics/markets
      summary: Get market
      description: Retrieve a specific market
      operationId: getMarket
      parameters:
        - in: path
          name: marketIdentifier
          required: true
          schema:
            type: string
            example: 6057-649-44
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/Market'
                  error:
                    type: string
                required:
                  - data
                type: object
                example:
                  error: null
                  data:
                    id: 6057-649-44
                    baseAsset:
                      id: 1e31218a-e44e-4285-820c-8282ee222035
                      name: Bitcoin
                      slug: bitcoin
                      symbol: BTC
                    baseAssetSector: Cryptocurrency
                    quoteAsset:
                      id: 60dcd17b-00f3-49f8-907c-f390c2521c59
                      name: United States Dollar
                      slug: fedcoin
                      symbol: USD
                    quoteAssetSector: ''
                    exchange:
                      id: 181f44f6-f9b7-4c11-9e44-7c7f803d808e
                      name: Coinbase
                      slug: coinbase
                    network: null
                    sectors:
                      - Cryptocurrency
                    firstTradeAt: '2014-12-01T06:00:00Z'
                    lastTradeAt: '2026-03-04T23:34:00Z'
                    isNewMarket: false
                    isRecentlyListed: false
                    liveness: live
                    metrics:
                      exchangeVolumePercentage24h: 44.03
                      latestPrice24hOpen: 68394.99
                      latestPrice24hHigh: 74100
                      latestPrice24hLow: 67391.17
                      latestPrice24hClose: 72411.99
                      premiumDiscount: -0.136
                      volume24h: 1496297599.8
                      tradeCount24h: 1219331
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    Market:
      properties:
        baseAsset:
          $ref: '#/components/schemas/AssetEntity'
        baseAssetSector:
          type: string
        exchange:
          $ref: '#/components/schemas/ExchangeEntity'
        firstTradeAt:
          format: date-time
          type: string
        id:
          type: string
        isNewMarket:
          type: boolean
        isRecentlyListed:
          type: boolean
        lastTradeAt:
          format: date-time
          type: string
        liveness:
          type: string
        metrics:
          $ref: '#/components/schemas/MarketMetrics'
        network:
          $ref: '#/components/schemas/NetworkEntity'
        quoteAsset:
          $ref: '#/components/schemas/AssetEntity'
        quoteAssetSector:
          type: string
        sectors:
          items:
            type: string
          type: array
      required:
        - baseAsset
        - baseAssetSector
        - exchange
        - firstTradeAt
        - id
        - isNewMarket
        - isRecentlyListed
        - lastTradeAt
        - liveness
        - metrics
        - quoteAsset
        - quoteAssetSector
        - sectors
      type: object
    AssetEntity:
      type: object
      properties:
        id:
          type: string
          description: Asset UUID
        name:
          type: string
          description: Asset name
        symbol:
          type: string
          description: Asset symbol
        slug:
          type: string
          description: Asset slug
    ExchangeEntity:
      type: object
      description: Schema for ExchangeEntity
      properties: {}
      additionalProperties: true
    MarketMetrics:
      type: object
      description: Schema for MarketMetrics
      properties: {}
      additionalProperties: true
    NetworkEntity:
      type: object
      description: Schema for NetworkEntity
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````